Summary: Wraps Rexx code in a native executable file
Name: RexxWrapper
Version: 2.4
Release: 1
License: LGPL
Group: Development/Languages
Vendor: Mark Hessling
Packager: Mark Hessling
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://rexxwrapper.sourceforge.net
Provides: %{name}
Prefix: /usr
Icon: rexxwrap64.xpm

%description
Rexx/Wrapper is a tool that wraps a Rexx source file, or tokenised code
into an executable program.
The Rexx source code can be optionally compressed and encoded to ensure
that the original Rexx code cannot be viewed (unless you have the original
encryption key).

For more information on Rexx/Wrapper, visit http://rexxwrapper.sf.net

For more information on Rexx, visit http://www.rexxla.org

%prep

%setup

%build
./configure --with-rexx=rexxtrans
make

%install
rm -fr %{buildroot}
make DESTDIR=%{buildroot} install

%files
/usr/bin/rexxwrapper-config
/usr/bin/rexxwrapper
/usr/share/rexxwrapper/common
/usr/share/rexxwrapper/des
/usr/share/rexxwrapper/zlib
/usr/share/rexxwrapper/config.guess
/usr/share/rexxwrapper/config.h.in
/usr/share/rexxwrapper/config.sub
/usr/share/rexxwrapper/configur
/usr/share/rexxwrapper/defined_values.in
/usr/share/rexxwrapper/getargv0.c
/usr/share/rexxwrapper/install-sh
/usr/share/rexxwrapper/intbuild.c
/usr/share/rexxwrapper/rexxtok.c
/usr/share/rexxwrapper/rexxwrap.c
/usr/share/rexxwrapper/rexxwrap.cmd
/usr/share/rexxwrapper/rxdefines.h

%doc COPYING
%doc doc/index.html
%doc doc/common
%doc doc/images

%post
