/*
 * Creates rexxwrapper.prm
 */
Parse Arg rexxwrapper_srcdir srcdir intincdir intlibdir ver compiler
year = Left( Date( 'S' ), 4 )
Parse Source os .
If os = 'OS2' | os = 'OS/2' Then os = 'OS2'
If os = 'WindowsNT' Then os = 'WIN32'

fn = 'rexxwrapper.prm'
Call Stream  fn, 'C', 'OPEN WRITE REPLACE'
Call Lineout fn, 'default.1 = "rexxwrapper"'
Call Lineout fn, 'default.2 = "'srcdir'\rexxwrap.cmd"'
If os = 'OS2' Then int = 'os2rexx'
Else int = 'regina'
Call Lineout fn, 'default.3 = "'int'"'
Call Lineout fn, 'default.4 = "'compiler'"'
If os = 'OS2' Then
   Do
      Call Lineout fn, 'default.5 = ""'
      Call Lineout fn, 'default.6 = ""'
   End
Else
   Do
      Call Lineout fn, 'default.5 = "'intlibdir'\rexx.lib"'
      Call Lineout fn, 'default.6 = "'intincdir'"'
   End
Call Lineout fn, 'default.7 = "'rexxwrapper_srcdir'"'
Call Lineout fn, 'default.8 = "no"'
If compiler = 'wcc' Then Call Lineout fn, 'default.9 = "no"'
Else Call Lineout fn, 'default.9 = "yes"'
Call Lineout fn, 'default.10 = "no"'
Call Lineout fn, 'default.11 = "yes"'
Select
   When os = 'WIN32' Then
      Do
         Call Lineout fn, 'default.12 = "no"'
         Call Lineout fn, 'default.13 = ""'
         Call Lineout fn, 'default.14 = "yes"'
         Call Lineout fn, 'default.15 = "'ver'"'
         Call Lineout fn, 'default.16 = "Rexx/Wrapper"'
         Call Lineout fn, 'default.17 = "Copyright 2000-'year' Mark Hessling"'
         Call Lineout fn, 'default.18 = "'srcdir'\rexxwrapperw32.ico"'
      End
   When os = 'OS2' Then
      Do
         Call Lineout fn, 'default.12 = "no"'
         Call Lineout fn, 'default.13 = "yes"'
         Call Lineout fn, 'default.14 = "'srcdir'\rexxwrapperos2.ico"'
      End
   Otherwise
      Do
         Call Lineout fn, 'default.12 = "no"'
      End
End
Call Stream  fn, 'C', 'CLOSE'
Return 0
